Bug 11927 - [S60] Formdataautofill: If the form field contains single or double quotes the SQL query to insert, delete data does not work
: [S60] Formdataautofill: If the form field contains single or double quotes th...
Status: CLOSED FIXED
Product: WebKit
Classification: Unclassified
Component: New Bugs
: 420+
: S60 Emulator S60 3rd edition
: P2 Major
Assigned To: Nobody
http://www.google.com
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-22 07:00 PST by Sornalatha Rathnasamy
Modified: 2011-03-21 11:52 PDT (History)
0 users

See Also:


Attachments
use RDbTable APIs to insert, delete data instead of formatted SQL queries. (13.68 KB, patch)
2006-12-22 07:08 PST, Sornalatha Rathnasamy
yongjun.zhang: review+
Details | Formatted Diff | Diff
Fix the syntax error in sql query (21.59 KB, patch)
2006-12-28 09:42 PST, Sornalatha Rathnasamy
yongjun.zhang: review+
Details | Formatted Diff | Diff
Fix the syntax error in sql query (7.34 KB, patch)
2006-12-28 09:42 PST, Sornalatha Rathnasamy
yongjun.zhang: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sornalatha Rathnasamy 2006-12-22 07:00:08 PST
While executing the following autoform fill tests,

With password field:
http://testsuite.nokia-boston.com/content/S60NG_AutoFill_Login/default.html

Without password field:
http://testsuite.nokia-boston.com/content/S60NG_AutoFill_input/default.html

if the text, text area or password fiels in the form contain single or double quotes the SQL query used to insert or delete data is not well-formed and the operation fails.
Comment 1 Sornalatha Rathnasamy 2006-12-22 07:08:31 PST
Created attachment 11966 [details]
use RDbTable APIs to insert, delete data instead of formatted SQL queries.
Comment 2 Yongjun Zhang 2006-12-22 08:56:34 PST
Comment on attachment 11966 [details]
use RDbTable APIs to insert, delete data instead of formatted SQL queries.

r=me
Comment 3 Bradley Morrison 2006-12-27 13:27:01 PST
Why is this bug still in new?

Reverted: r18438 reverted the patch attached to this bug that was landed in
s60/trunk (r18389).
Comment 4 Sornalatha Rathnasamy 2006-12-28 09:23:40 PST
(In reply to comment #0)
test case:
1. Load google.com
2. type a text in the input box and click search button.
3. Load the same page again.
4. When you start entering the same search string again, it should show the complete value for auto-fill.
Comment 5 Sornalatha Rathnasamy 2006-12-28 09:42:06 PST
Created attachment 12082 [details]
Fix the syntax error in sql query
Comment 6 Sornalatha Rathnasamy 2006-12-28 09:42:53 PST
Created attachment 12083 [details]
Fix the syntax error in sql query
Comment 7 Yongjun Zhang 2007-01-03 10:34:29 PST
Comment on attachment 12082 [details]
Fix the syntax error in sql query

r=me
Comment 8 Yongjun Zhang 2007-01-03 10:54:23 PST
Comment on attachment 12083 [details]
Fix the syntax error in sql query

r=me
Comment 9 Yongjun Zhang 2007-01-03 10:54:43 PST
Completed: At revision: 18548  
Comment 10 Krishna 2007-01-12 13:28:22 PST
TSW ID: SRAY-6WQKA6
Comment 11 Krishna 2007-03-04 17:01:38 PST
Closed.
Comment 12 Joel Parks 2011-03-21 11:52:58 PDT
re-purposing InTSW keyword for use by QtWebkit team